/*
 * This file is part of SpongeAPI, licensed under the MIT License (MIT).
 *
 * Copyright (c) SpongePowered <https://www.spongepowered.org>
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.spongepowered.api.effect.particle;

/**
 * The particles that can be sent on a vanilla Minecraft client.
 */
public final class ParticleTypes {

    public static final ParticleType EXPLOSION_NORMAL = null;
    public static final ParticleType.Resizable EXPLOSION_LARGE = null;
    public static final ParticleType EXPLOSION_HUGE = null;
    public static final ParticleType FIREWORKS_SPARK = null;
    public static final ParticleType WATER_BUBBLE = null;
    public static final ParticleType WATER_SPLASH = null;
    public static final ParticleType WATER_WAKE = null;
    public static final ParticleType SUSPENDED = null;
    public static final ParticleType SUSPENDED_DEPTH = null;
    public static final ParticleType CRIT = null;
    public static final ParticleType CRIT_MAGIC = null;
    public static final ParticleType SMOKE_NORMAL = null;
    public static final ParticleType SMOKE_LARGE = null;
    public static final ParticleType SPELL = null;
    public static final ParticleType SPELL_INSTANT = null;
    public static final ParticleType.Colorable SPELL_MOB = null;
    public static final ParticleType.Colorable SPELL_MOB_AMBIENT = null;
    public static final ParticleType SPELL_WITCH = null;
    public static final ParticleType DRIP_WATER = null;
    public static final ParticleType DRIP_LAVA = null;
    public static final ParticleType VILLAGER_ANGRY = null;
    public static final ParticleType VILLAGER_HAPPY = null;
    public static final ParticleType TOWN_AURA = null;
    public static final ParticleType.Note NOTE = null;
    public static final ParticleType PORTAL = null;
    public static final ParticleType ENCHANTMENT_TABLE = null;
    public static final ParticleType FLAME = null;
    public static final ParticleType LAVA = null;
    public static final ParticleType FOOTSTEP = null;
    public static final ParticleType CLOUD = null;
    public static final ParticleType.Colorable REDSTONE = null;
    public static final ParticleType SNOWBALL = null;
    public static final ParticleType SNOW_SHOVEL = null;
    public static final ParticleType SLIME = null;
    public static final ParticleType HEART = null;
    public static final ParticleType BARRIER = null;
    public static final ParticleType.Item ITEM_CRACK = null;
    public static final ParticleType.Block BLOCK_CRACK = null;
    public static final ParticleType.Block BLOCK_DUST = null;
    public static final ParticleType WATER_DROP = null;
    public static final ParticleType ITEM_TAKE = null;
    public static final ParticleType MOB_APPEARANCE = null;

    private ParticleTypes() {
    }
}
